> For the complete documentation index, see [llms.txt](https://docs.minical.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.minical.io/build-an-extension/build-your-first-extension/language.md).

# language

Language folder contains subfolders of languages, each language subfolder will contain an index.php file, this file will have an array of words.

```
language
      |->english
             |->index.php
      |->korean
             |->index.php
      |->portuguese 
             |->index.php

```

$lang array key will have the like \[extension\_folder\_name]\[keyword] and for value translation of the keyword. Here is an example for English.&#x20;

File location (language/english/index.php)

{% code title="index.php" %}

```php
<?php

$lang['minical-extension-boilerplate']['booking list'] = 'Booking List';
$lang['minical-extension-boilerplate']['booking_id'] = 'Booking ID';
$lang['minical-extension-boilerplate']['room_number'] = 'Room Number';
$lang['minical-extension-boilerplate']['check_in_date'] = 'Check-In Date';
$lang['minical-extension-boilerplate']['check_out_date'] = 'Check-Out Date';
$lang['minical-extension-boilerplate']['customer_name'] = 'Customer Name';
$lang['minical-extension-boilerplate']['no_bookings_found'] = 'No Booking Found';
?>
```

{% endcode %}

Below is an example for Portuguese. File location (language/portuguese/index.php)

{% code title="index.php" %}

```php
<?php

$lang['minical-extension-boilerplate']['booking list'] = 'lista de reservas';
$lang['minical-extension-boilerplate']['booking_id'] = 'ID de reserva';
$lang['minical-extension-boilerplate']['room_number'] = 'Número do quarto';
$lang['minical-extension-boilerplate']['check_in_date'] = 'Data de Check-In';
$lang['minical-extension-boilerplate']['check_out_date'] = 'Data de Check-Out';
$lang['minical-extension-boilerplate']['customer_name'] = 'Nome do Cliente';
$lang['minical-extension-boilerplate']['no_bookings_found'] = 'Nenhuma reserva encontrada';
?>
```

{% endcode %}

Below is an example for Korean. File location (language/korean/index.php)

{% code title="index.php" %}

```php
<?php

$lang['minical-extension-boilerplate']['booking list'] = '예약 목록';
$lang['minical-extension-boilerplate']['booking_id'] = '예약 ID';
$lang['minical-extension-boilerplate']['room_number'] = '방 번호';
$lang['minical-extension-boilerplate']['check_in_date'] = '체크인 날짜';
$lang['minical-extension-boilerplate']['check_out_date'] = '체크 아웃 날짜';
$lang['minical-extension-boilerplate']['customer_name'] = '고객 이름';
$lang['minical-extension-boilerplate']['no_bookings_found'] = '예약을 찾을 수 없습니다';
?>
```

{% endcode %}

#### How to display keywords

For displaying any keyword in extension, keyword should be concatenated with extension folder name with '/' for example 'minical-extension-boilerplate/name' pass this string to l() function like l('minical-extension-boilerplate/name', true) Below other example has given for it.

```php
<?php echo l('minical-extension-boilerplate/booking_id', true);?>

<?php echo l('minical-extension-boilerplate/room_number', true);?>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.minical.io/build-an-extension/build-your-first-extension/language.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
